<VirtualHost *:80>
  ServerName kibana.wisoft.io
  ServerAdmin contact@wisoft.io

  AllowEncodedSlashes On

  RewriteEngine On
  RewriteCond %{HTTPS} off
  RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI}

  ErrorLog ${APACHE_LOG_DIR}/kibana-error.log
  CustomLog ${APACHE_LOG_DIR}/kibana-access.log combined
  RewriteCond %{SERVER_NAME} =kibana.wisoft.io
  RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>

<VirtualHost *:443>
  ServerName kibana.wisoft.io
  ServerAdmin contact@wisoft.io

  ProxyRequests Off
  SSLProxyEngine on

  ProxyPreserveHost On
  AllowEncodedSlashes On

  <Proxy *>
    Order deny,allow
    Allow from all
  </Proxy>

  SSLEngine on
  SSLProxyVerify none
  SSLProxyCheckPeerCN off
  SSLProxyCheckPeerName off
  SSLProxyCheckPeerExpire off


  ProxyPass / http://192.168.10.11:5601/ nocanon
  ProxyPassReverse / http://192.168.10.11:5601/

  RequestHeader set X-Forwarded-Proto "https"
  RequestHeader set X-Forwarded-Port "443"

  ErrorLog ${APACHE_LOG_DIR}/kibana-error.log
  CustomLog ${APACHE_LOG_DIR}/kibana-access.log combined
  SSLCertificateFile /etc/letsencrypt/live/kibana.wisoft.io/fullchain.pem
  SSLCertificateKeyFile /etc/letsencrypt/live/kibana.wisoft.io/privkey.pem
  Include /etc/letsencrypt/options-ssl-apache.conf

</VirtualHost>

